﻿using C1.WPF.DataGrid;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DataGridGroup
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            grid.Loaded += Grid_Loaded;
        }

        private void Grid_Loaded(object sender, RoutedEventArgs e)
        {
            var grpRows = grid.Rows.Where(x=>x.GetType() == typeof(DataGridGroupRow)).ToList();
            foreach(DataGridGroupRow grpRow in grpRows) 
            {
                grpRow.GroupRowsVisibilityChanged += (s1,e1)=>
                {
                    Debug.WriteLine("Group Row: " + (s1 as DataGridGroupRow).GetGroupText() + " is " + e1.NewValue.ToString());
                };
            }
        }
    }
}