﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataGridGroup
{
    public class MainViewModel
    {
        private ObservableCollection<Product> _products;

        public ObservableCollection<Product> Products
        {
            get { return _products; }
            set { _products = value; }
        }
        public MainViewModel()
        {
            _products = new ObservableCollection<Product>();
            var random = new Random();
            for (int i = 0; i < 10; i++)
            {
                _products.Add(new Product() { Id = i, Name = "Product " + i, Price = random.Next(100, 1000), Type = random.Next(1, 4) });
            }
        }
    }
    public class Product
    {
        public int Id { get; set; }
        public string Name { get; set; }
        public double Price { get; set; }
        public int Type { get; set; }
    }
}
